## akonadi-search 22.12.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "5.22.3")
project(AkonadiSearch VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(CMakeDependentOption)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


cmake_dependent_option(
    AKONADISEARCH_ENABLE_KRUNNER_RUNNER
    "Build KRunner runner to search contacts" ON
    "NOT WIN32" OFF
)

set(AKONADISEARCH_VERSION ${PIM_VERSION})

set(AKONADI_VERSION "5.22.3")
set(AKONADI_MIMELIB_VERSION "5.22.3")
set(KMIME_LIB_VERSION "5.22.3")
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Crash DBusAddons KCMUtils KIO)
if (AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    find_package(KF5Runner ${KF5_MIN_VERSION} REQUIRED)
endif()
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()


find_package(Xapian CONFIG)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "The Xapian search engine library"
    URL "https://xapian.org"
    TYPE REQUIRED
)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX AKONADISEARCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
    SOVERSION 5
)
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)

# Compiler flags
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)



option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()


# Turn exceptions on
kde_enable_exceptions()

include_directories(
  ${XAPIAN_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}/xapian
  ${CMAKE_BINARY_DIR}/xapian
)
# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiSearch")

# Targets
add_subdirectory(xapian)
add_subdirectory(core)
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(akonadiplugin)
add_subdirectory(search)
add_subdirectory(debug)
if (AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    add_subdirectory(runner)
endif()


configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiSearchConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5AkonadiSearchTargets
        NAMESPACE KF5::
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5AkonadiSearchTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiSearch
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
        EXPORT AKONADISEARCH
        FILE akonadi-search.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== lib/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()
include_directories(
    ${XAPIAN_INCLUDE_DIR}
)
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5AkonadiSearchPIM_QCH
        FILE KF5AkonadiSearchPIMQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5AkonadiSearchPIMQchTargets.cmake\")")
endif()

add_library(KF5AkonadiSearchPIM)
add_library(KF5::AkonadiSearchPIM ALIAS KF5AkonadiSearchPIM)


target_sources(KF5AkonadiSearchPIM PRIVATE
    query.cpp
    resultiterator.cpp
    contactquery.cpp
    emailquery.cpp
    notequery.cpp
    contactcompleter.cpp
    collectionquery.cpp
    indexeditems.cpp

    ../search/email/agepostingsource.cpp

    query.h
    resultiterator.h
    contactquery.h
    emailquery.h
    notequery.h
    contactcompleter.h
    collectionquery.h
    indexeditems.h

    ../search/email/agepostingsource.h
    )

ecm_qt_declare_logging_category(KF5AkonadiSearchPIM HEADER akonadi_search_pim_debug.h IDENTIFIER AKONADI_SEARCH_PIM_LOG CATEGORY_NAME org.kde.pim.akonadi_search_pim
        DESCRIPTION "akonadisearch(akonadi pim lib)"
        OLD_CATEGORY_NAMES log_akonadi_search_pim
        EXPORT AKONADISEARCH
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5AkonadiSearchPIM PROPERTIES UNITY_BUILD ON)
endif()


generate_export_header(KF5AkonadiSearchPIM BASE_NAME AKONADI_SEARCH_PIM EXPORT_FILE_NAME search_pim_export.h)

target_link_libraries(KF5AkonadiSearchPIM
    PUBLIC
    Qt::Core

    PRIVATE
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
)

set_target_properties(KF5AkonadiSearchPIM PROPERTIES
    VERSION ${AKONADISEARCH_VERSION}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchPIM
)

target_include_directories(KF5AkonadiSearchPIM INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiSearch>")

install(TARGETS KF5AkonadiSearchPIM EXPORT KF5AkonadiSearchTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

set(AKONADISEARCH_INCLUDES
    query.h
    contactquery.h
    emailquery.h
    contactcompleter.h
    notequery.h
    collectionquery.h
    indexeditems.h

    resultiterator.h
    )

install(FILES
    ${AKONADISEARCH_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR}/search_pim_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiSearch/PIM
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KF5AkonadiSearchPIM_QCH
        NAME KF5AkonadiSearchPIM
        BASE_NAME KF5AkonadiSearchPIM
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${AKONADISEARCH_INCLUDES}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            AKONADI_SEARCH_PIM_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== runner/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
configure_file(plasma-krunner-pimcontacts.json.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-krunner-pimcontacts.json @ONLY)
kcoreaddons_add_plugin(krunner_pimcontacts INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/krunner")

ecm_qt_declare_logging_category(krunner_pimcontacts HEADER akonadi_runner_debug.h
    IDENTIFIER AKONADI_KRUNNER_LOG
    CATEGORY_NAME org.kde.pim.akonadi_krunner_plugin
    DESCRIPTION "akonadisearch (akonadi plugin krunner)"
    OLD_CATEGORY_NAMES log_akonadi_krunner_plugin
    EXPORT AKONADISEARCH
)
target_sources(krunner_pimcontacts PRIVATE
    pimcontactsrunner.cpp
    pimcontactsrunner.h
)

target_link_libraries(krunner_pimcontacts
    KF5::Runner
    KF5::AkonadiCore
    KF5AkonadiSearchPIM
    KF5::I18n
    KF5::ConfigCore
    KF5::Contacts
    KF5::Codecs
)

kcoreaddons_add_plugin(kcm_krunner_pimcontacts INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/krunner/kcms")

target_sources(kcm_krunner_pimcontacts PRIVATE
    pimcontactsrunnerconfig.cpp
    pimcontactsrunnerconfig.h
)

target_link_libraries(kcm_krunner_pimcontacts
    Qt::Gui
    KF5::KCMUtils
    KF5::I18n
)

=== xapian/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()
add_library(KF5AkonadiSearchXapian)
add_library(KF5::AkonadiSearchXapian ALIAS KF5AkonadiSearchXapian)

target_sources(KF5AkonadiSearchXapian PRIVATE
    xapiansearchstore.cpp
    xapiandocument.cpp
    xapiandatabase.cpp
    xapiantermgenerator.cpp
    xapianqueryparser.cpp

    xapiansearchstore.h
    xapiandocument.h
    xapiandatabase.h
    xapiantermgenerator.h
    xapianqueryparser.h
    )

ecm_qt_declare_logging_category(KF5AkonadiSearchXapian HEADER akonadi_search_xapian_debug.h IDENTIFIER AKONADI_SEARCH_XAPIAN_LOG CATEGORY_NAME org.kde.pim.akonadi_search_xapian
        DESCRIPTION "akonadisearch (akonadi indexer xapian)"
        OLD_CATEGORY_NAMES log_akonadi_search_xapian
        EXPORT AKONADISEARCH
    )


if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5AkonadiSearchXapian PROPERTIES UNITY_BUILD ON)
endif()


target_link_libraries(KF5AkonadiSearchXapian PUBLIC
    Qt::Core
    KF5::AkonadiSearchCore
    ${XAPIAN_LIBRARIES}
)

set_target_properties(KF5AkonadiSearchXapian PROPERTIES
    VERSION ${AKONADISEARCH_VERSION}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchXapian
)

generate_export_header(KF5AkonadiSearchXapian BASE_NAME AKONADI_SEARCH_XAPIAN EXPORT_FILE_NAME search_xapian_export.h)

install(TARGETS KF5AkonadiSearchXapian EXPORT KF5AkonadiSearchTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    xapiandatabase.h
    xapiandocument.h
    xapianqueryparser.h
    xapiansearchstore.h
    xapiantermgenerator.h
    ${CMAKE_CURRENT_BINARY_DIR}/search_xapian_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiSearch/Xapian
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== agent/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_executable(emailindexer emailtest.cpp ../emailindexer.cpp ../abstractindexer.cpp ../akonadi_indexer_agent_debug.cpp ../stringutil.cpp)

target_link_libraries(emailindexer
  Qt::Test
  KF5::AkonadiCore
  KF5::AkonadiMime
  KF5::Mime
  KF5::AkonadiSearchPIM
  KF5::AkonadiSearchXapian
  KF5::Codecs
  Qt::Widgets
)

=== akonadiplugin/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}/../../agent/
  ${CMAKE_CURRENT_BINARY_DIR}/..
)
add_executable( searchplugintest)

target_sources(searchplugintest PRIVATE
    searchplugintest.cpp
    ../searchplugin.cpp
    ../../agent/emailindexer.cpp
    ../../agent/calendarindexer.cpp
    ../../agent/contactindexer.cpp
    ../../agent/abstractindexer.cpp
    ../../agent/akonotesindexer.cpp
    ../../search/pimsearchstore.cpp
    ../../search/email/emailsearchstore.cpp
    ../../search/email/agepostingsource.cpp
    ../../search/contact/contactsearchstore.cpp
    ../../search/calendar/calendarsearchstore.cpp
    ../../search/note/notesearchstore.cpp
    ../../agent/stringutil.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_debug.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../akonadiplugin_indexer_debug.cpp
)

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_test( NAME searchplugintest COMMAND searchplugintest )
ecm_mark_as_test(searchplugintest)

target_link_libraries(searchplugintest
    Qt::Test
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::Contacts
    ${XAPIAN_LIBRARIES}
    KF5::CalendarCore
    KF5::AkonadiSearchPIM
    KF5::AkonadiSearchXapian
    KF5::Codecs
)

=== lib/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

macro(add_search_test name)
    ecm_add_test("${name}test.cpp"
                TEST_NAME "${test}"
                LINK_LIBRARIES Qt::Core KF5::AkonadiCore KF5::AkonadiMime KF5::Mime KF5::Contacts KF5::AkonadiSearchPIM
    )
endmacro()

# FIXME: isolated test
#add_search_test(contactsearch)
add_search_test(emailquery)
add_search_test(contactcompletion)

=== search/calendar/CMakeLists.txt ===
add_library(calendarsearchstore MODULE )
target_sources(calendarsearchstore PRIVATE calendarsearchstore.cpp ../pimsearchstore.cpp calendarsearchstore.h ../pimsearchstore.h)
target_link_libraries(calendarsearchstore
    Qt::Core
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KF5AkonadiSearchCore
    KF5AkonadiSearchXapian
)

install(TARGETS calendarsearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/akonadi)

=== search/contact/CMakeLists.txt ===
add_library(contactsearchstore MODULE )
target_sources(contactsearchstore PRIVATE contactsearchstore.cpp ../pimsearchstore.cpp contactsearchstore.h ../pimsearchstore.h)
target_link_libraries(contactsearchstore
    Qt::Core
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KF5AkonadiSearchCore
    KF5AkonadiSearchXapian
)

install(TARGETS contactsearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/akonadi)

=== search/email/CMakeLists.txt ===
add_library(emailsearchstore MODULE )
target_sources(emailsearchstore PRIVATE agepostingsource.cpp emailsearchstore.cpp ../pimsearchstore.cpp agepostingsource.h emailsearchstore.h ../pimsearchstore.h)
target_link_libraries(emailsearchstore
    Qt::Core
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KF5AkonadiSearchCore
    KF5AkonadiSearchXapian
)

install(TARGETS emailsearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/akonadi)

=== search/note/CMakeLists.txt ===
add_library(notesearchstore MODULE)
target_sources(notesearchstore PRIVATE notesearchstore.cpp ../pimsearchstore.cpp notesearchstore.h ../pimsearchstore.h)
target_link_libraries(notesearchstore
    Qt::Core
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KF5AkonadiSearchCore
    KF5AkonadiSearchXapian
)

install(TARGETS notesearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/akonadi)

=== xapian/autotests/CMakeLists.txt ===
ecm_add_test(termgeneratortest.cpp termgeneratortest.h
    TEST_NAME "termgeneratortest"
    LINK_LIBRARIES Qt::Test KF5::AkonadiSearchXapian
)

ecm_add_test(queryparsertest.cpp queryparsertest.h
    TEST_NAME "queryparsertest"
    LINK_LIBRARIES Qt::Test KF5::AkonadiSearchXapian
)

=== debian/changelog ===
akonadi-search (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:14 +0100

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadimime-dev (>= 4:22.12.3~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5crash-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5kcmutils-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mime-dev (>= 22.12.3~),
               libkf5runner-dev (>= 5.99.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/akonadi-search
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
Rules-Requires-Root: no

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.12.3~),
         libkf5akonadimime-dev (>= 4:22.12.3~),
         libkf5calendarcore-dev (>= 5:5.99.0~),
         libkf5contacts-dev (>= 5:5.99.0~),
         libkf5mime-dev (>= 22.12.3~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${so:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.
Provides: ${ABI:VirtualPackage},

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.
Provides: ${ABI:VirtualPackage},

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.
Provides: ${ABI:VirtualPackage},

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.
Provides: ${ABI:VirtualPackage},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5,sodeps

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## akonadi-search 23.08.1

=== debian/changelog ===
akonadi-search (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:53:48 +0100

akonadi-search (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:32 +0100

akonadi-search (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:28:45 +0100

akonadi-search (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:37 +0100

akonadi-search (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library packages:
    - libkf5akonadisearchcore5 -> libkpim5akonadisearchcore5
    - libkf5akonadisearchdebug5 -> libkpim5akonadisearchdebug5
    - libkf5akonadisearchpim5 -> libkpim5akonadisearchpim5
    - libkf5akonadisearchxapian5 -> libkpim5akonadisearchxapian5
  * Update installed files
  * Sync debian/rules with debian, provide virtual ABI package
  * Rename data package: libkf5akonadisearch-data ->
    libkpim5akonadisearch-data
  * Inject dependency on libkf5akonadisearch-bin in debian/rules
  * Remove symbols files, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:58:13 +0100

akonadi-search (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:32:49 +0000

akonadi-search (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:08:23 -0600

akonadi-search (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:38 +0000

akonadi-search (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:38 +0000

akonadi-search (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:03 +0000

akonadi-search (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:38:09 +0000

akonadi-search (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:03:51 +0000

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadimime-dev (>= 4:23.08.1~),
               libkf5akonadiserver-dev (>= 4:23.08.1~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5mime-dev (>= 23.08.1~),
               libkf5runner-dev (>= 5.31.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkpim5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: libkf5akonadisearch-data (<< 4:23.04.1~),
          ${kde-l10n:all},
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:23.08.1~),
         libkf5akonadimime-dev (>= 4:23.08.1~),
         libkf5akonadiserver-dev (>= 4:23.08.1~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5mime-dev (>= 23.08.1~),
         libkpim5akonadisearchcore5 (= ${binary:Version}),
         libkpim5akonadisearchdebug5 (= ${binary:Version}),
         libkpim5akonadisearchpim5 (= ${binary:Version}),
         libkpim5akonadisearchxapian5 (= ${binary:Version}),
         libxapian-dev,
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkpim5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkpim5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Provides: ${ABI:VirtualPackage},
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

Package: libkpim5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.

Package: libkpim5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkpim5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

## akonadi-search 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "5.22.3")
+set(PIM_VERSION "5.24.5")
 project(AkonadiSearch VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.99.0")
+set(KF_MIN_VERSION "5.105.0")
 
-find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -43,18 +43,23 @@
 
 set(AKONADISEARCH_VERSION ${PIM_VERSION})
 
-set(AKONADI_VERSION "5.22.3")
-set(AKONADI_MIMELIB_VERSION "5.22.3")
-set(KMIME_LIB_VERSION "5.22.3")
+set(AKONADI_VERSION "5.24.5")
+set(AKONADI_MIMELIB_VERSION "5.24.5")
+set(KMIME_LIB_VERSION "5.24.5")
 set(QT_REQUIRED_VERSION "5.15.2")
 if (QT_MAJOR_VERSION STREQUAL "6")
-    set(QT_REQUIRED_VERSION "6.4.0")
+    set(QT_MIN_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
 endif()
+set(KPIM_MIME_VERSION "5.24.5")
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Crash DBusAddons KCMUtils KIO)
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Config Crash DBusAddons KCMUtils KIO)
 if (AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
-    find_package(KF5Runner ${KF5_MIN_VERSION} REQUIRED)
+    find_package(KF${KF_MAJOR_VERSION}Runner ${KF_MIN_VERSION} REQUIRED)
 endif()
 if (QT_MAJOR_VERSION STREQUAL "6")
     find_package(Qt6Core5Compat)
@@ -68,23 +73,30 @@
     TYPE REQUIRED
 )
 
-find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
-find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
+
+find_package(Corrosion)
+set_package_properties(Corrosion PROPERTIES
+    PURPOSE "Required for safe parsing of html emails"
+    DESCRIPTION "CMake scripts to seamlessly build and link to targets using cargo"
+    URL https://github.com/corrosion-rs/corrosion
+)
 
 ecm_setup_version(PROJECT
     VARIABLE_PREFIX AKONADISEARCH
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
-    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
+    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiSearchConfigVersion.cmake"
     SOVERSION 5
 )
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 
 # Compiler flags
 add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
-ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)
+ecm_set_disabled_deprecation_versions(QT 6.4 KF 5.105.0)
 
 
 
@@ -109,8 +121,7 @@
   ${CMAKE_BINARY_DIR}/xapian
 )
 # Config files
-set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiSearch")
-
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}AkonadiSearch")
 # Targets
 add_subdirectory(xapian)
 add_subdirectory(core)
@@ -123,28 +134,37 @@
     add_subdirectory(runner)
 endif()
 
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KPim${KF_MAJOR_VERSION}AkonadiSearchPIM_QCH
+        FILE KPim${KF_MAJOR_VERSION}AkonadiSearchPIMQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}AkonadiSearchPIMQchTargets.cmake\")")
+endif()
 
 configure_package_config_file(
-    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiSearchConfig.cmake.in"
-    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
+    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiSearchConfig.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiSearchConfig.cmake"
     INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
 install(FILES
-    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
-    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
+    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiSearchConfig.cmake"
+    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiSearchConfigVersion.cmake"
     DESTINATION ${CMAKECONFIG_INSTALL_DIR}
     COMPONENT devel
 )
 
-install(EXPORT KF5AkonadiSearchTargets
-        NAMESPACE KF5::
+install(EXPORT KPim${KF_MAJOR_VERSION}AkonadiSearchTargets
+        NAMESPACE KPim${KF_MAJOR_VERSION}::
         DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        FILE KF5AkonadiSearchTargets.cmake)
+        FILE KPim${KF_MAJOR_VERSION}AkonadiSearchTargets.cmake)
 
 install(FILES
     "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiSearch
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiSearch
     COMPONENT Devel
 )
 
@@ -155,6 +175,7 @@
         )
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
 ki18n_install(po)
 feature_summary(WHAT ALL
     INCLUDE_QUIET_PACKAGES

=== akonadiplugin/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()

add_library(akonadi_search_plugin
 MODULE
)
target_sources(akonadi_search_plugin PRIVATE searchplugin.cpp searchplugin.h)
ecm_qt_declare_logging_category(akonadi_search_plugin HEADER akonadiplugin_indexer_debug.h IDENTIFIER AKONADIPLUGIN_INDEXER_LOG CATEGORY_NAME org.kde.pim.akonadiplugin_indexer
        DESCRIPTION "akonadisearch (akonadi plugin indexer)"
        OLD_CATEGORY_NAMES log_akonadiplugin_indexer
        EXPORT AKONADISEARCH
    )



target_link_libraries(akonadi_search_plugin
    KPim${KF_MAJOR_VERSION}::AkonadiCore
    KPim${KF_MAJOR_VERSION}::AkonadiMime
    KPim${KF_MAJOR_VERSION}::AkonadiSearchCore
    KF${KF_MAJOR_VERSION}::Contacts
)

install(TARGETS akonadi_search_plugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/akonadi)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== core/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()
add_library(KPim${KF_MAJOR_VERSION}AkonadiSearchCore)
add_library(KPim${KF_MAJOR_VERSION}::AkonadiSearchCore ALIAS KPim${KF_MAJOR_VERSION}AkonadiSearchCore)
target_sources(KPim${KF_MAJOR_VERSION}AkonadiSearchCore PRIVATE
    searchstore.cpp
    term.cpp
    query.cpp
    resultiterator.cpp

    searchstore.h
    term.h
    query.h
    resultiterator.h
    )

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}AkonadiSearchCore HEADER akonadi_search_core_debug.h IDENTIFIER AKONADI_SEARCH_CORE_LOG CATEGORY_NAME org.kde.pim.akonadi_search_core
        DESCRIPTION "akonadisearch (akonadi core lib)"
        EXPORT AKONADISEARCH
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}AkonadiSearchCore PROPERTIES UNITY_BUILD ON)
endif()



target_link_libraries(KPim${KF_MAJOR_VERSION}AkonadiSearchCore
    PUBLIC
    Qt::Core
)

set_target_properties(KPim${KF_MAJOR_VERSION}AkonadiSearchCore PROPERTIES
    VERSION ${AKONADISEARCH_VERSION}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchCore
)
target_include_directories(KPim${KF_MAJOR_VERSION}AkonadiSearchCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiSearch>")

generate_export_header(KPim${KF_MAJOR_VERSION}AkonadiSearchCore BASE_NAME AKONADI_SEARCH_CORE EXPORT_FILE_NAME search_core_export.h)

ecm_generate_headers(KPim${KF_MAJOR_VERSION}AkonadiSearchCore_CamelCasecore_HEADERS
    HEADER_NAMES
    Term
    Query
    ResultIterator
    SearchStore
    REQUIRED_HEADERS KPim${KF_MAJOR_VERSION}AkonadiSearchCore_core_HEADERS
    PREFIX Core
    )

install(TARGETS KPim${KF_MAJOR_VERSION}AkonadiSearchCore EXPORT KPim${KF_MAJOR_VERSION}AkonadiSearchTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KPim${KF_MAJOR_VERSION}AkonadiSearchCore_CamelCasecore_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiSearch/Core
    COMPONENT Devel
)
install(FILES
    ${KPim${KF_MAJOR_VERSION}AkonadiSearchCore_core_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiSearch/core
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/search_core_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiSearch
    COMPONENT Devel
)

=== lib/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()
include_directories(
    ${XAPIAN_INCLUDE_DIR}
)


add_library(KPim${KF_MAJOR_VERSION}AkonadiSearchPIM)
add_library(KPim${KF_MAJOR_VERSION}::AkonadiSearchPIM ALIAS KPim${KF_MAJOR_VERSION}AkonadiSearchPIM)


target_sources(KPim${KF_MAJOR_VERSION}AkonadiSearchPIM PRIVATE
    query.cpp
    resultiterator.cpp
    contactquery.cpp
    emailquery.cpp
    notequery.cpp
    contactcompleter.cpp
    collectionquery.cpp
    indexeditems.cpp

    ../search/email/agepostingsource.cpp

    query.h
    resultiterator.h
    contactquery.h
    emailquery.h
    notequery.h
    contactcompleter.h
    collectionquery.h
    indexeditems.h

    ../search/email/agepostingsource.h
    )

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}AkonadiSearchPIM HEADER akonadi_search_pim_debug.h IDENTIFIER AKONADI_SEARCH_PIM_LOG CATEGORY_NAME org.kde.pim.akonadi_search_pim
        DESCRIPTION "akonadisearch(akonadi pim lib)"
        OLD_CATEGORY_NAMES log_akonadi_search_pim
        EXPORT AKONADISEARCH
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}AkonadiSearchPIM PROPERTIES UNITY_BUILD ON)
endif()


generate_export_header(KPim${KF_MAJOR_VERSION}AkonadiSearchPIM BASE_NAME AKONADI_SEARCH_PIM EXPORT_FILE_NAME search_pim_export.h)

target_link_libraries(KPim${KF_MAJOR_VERSION}AkonadiSearchPIM
    PUBLIC
    Qt::Core

    PRIVATE
    KPim${KF_MAJOR_VERSION}::AkonadiCore
    ${XAPIAN_LIBRARIES}
)

set_target_properties(KPim${KF_MAJOR_VERSION}AkonadiSearchPIM PROPERTIES
    VERSION ${AKONADISEARCH_VERSION}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchPIM
)

target_include_directories(KPim${KF_MAJOR_VERSION}AkonadiSearchPIM INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiSearch>")

install(TARGETS KPim${KF_MAJOR_VERSION}AkonadiSearchPIM EXPORT KPim${KF_MAJOR_VERSION}AkonadiSearchTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

set(AKONADISEARCH_INCLUDES
    query.h
    contactquery.h
    emailquery.h
    contactcompleter.h
    notequery.h
    collectionquery.h
    indexeditems.h

    resultiterator.h
    )

install(FILES
    ${AKONADISEARCH_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR}/search_pim_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiSearch/PIM
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}AkonadiSearchPIM_QCH
        NAME KPim${KF_MAJOR_VERSION}AkonadiSearchPIM
        BASE_NAME KPim${KF_MAJOR_VERSION}AkonadiSearchPIM
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${AKONADISEARCH_INCLUDES}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            AKONADI_SEARCH_PIM_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== agent/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_executable(emailindexer emailtest.cpp ../emailindexer.cpp ../abstractindexer.cpp ../akonadi_indexer_agent_debug.cpp ../stringutil.cpp
${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_email_debug.cpp)
target_link_libraries(emailindexer
  Qt::Test
  KPim${KF_MAJOR_VERSION}::AkonadiCore
  KPim${KF_MAJOR_VERSION}::AkonadiMime
  KPim${KF_MAJOR_VERSION}::Mime
  KPim${KF_MAJOR_VERSION}::AkonadiSearchPIM
  KPim${KF_MAJOR_VERSION}::AkonadiSearchXapian
  KF${KF_MAJOR_VERSION}::Codecs
  Qt::Widgets
)

=== debug/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/..
)

add_executable(akonadisearchdebug_dialog_gui akonadisearchdebug_dialog_gui.cpp)
ecm_mark_as_test(akonadisearchdebug_dialog_gui)
target_link_libraries(akonadisearchdebug_dialog_gui
  Qt::Core
  Qt::Gui
  Qt::Widgets
  KPim${KF_MAJOR_VERSION}::AkonadiCore
  KF${KF_MAJOR_VERSION}::I18n
  KPim${KF_MAJOR_VERSION}::AkonadiSearchDebug
)

=== lib/tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 macro(add_search_test name)
     ecm_add_test("${name}test.cpp"
                 TEST_NAME "${test}"
-                LINK_LIBRARIES Qt::Core KF5::AkonadiCore KF5::AkonadiMime KF5::Mime KF5::Contacts KF5::AkonadiSearchPIM
+                LINK_LIBRARIES Qt::Core KPim${KF_MAJOR_VERSION}::AkonadiCore KPim${KF_MAJOR_VERSION}::AkonadiMime KPim${KF_MAJOR_VERSION}::Mime KF${KF_MAJOR_VERSION}::Contacts KPim${KF_MAJOR_VERSION}::AkonadiSearchPIM
     )
 endmacro()

=== search/calendar/CMakeLists.txt ===
add_library(calendarsearchstore MODULE )
target_sources(calendarsearchstore PRIVATE calendarsearchstore.cpp ../pimsearchstore.cpp calendarsearchstore.h ../pimsearchstore.h)
target_link_libraries(calendarsearchstore
    Qt::Core
    KPim${KF_MAJOR_VERSION}::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KPim${KF_MAJOR_VERSION}AkonadiSearchCore
    KPim${KF_MAJOR_VERSION}AkonadiSearchXapian
)

install(TARGETS calendarsearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/akonadi)

=== search/contact/CMakeLists.txt ===
add_library(contactsearchstore MODULE )
target_sources(contactsearchstore PRIVATE contactsearchstore.cpp ../pimsearchstore.cpp contactsearchstore.h ../pimsearchstore.h)
target_link_libraries(contactsearchstore
    Qt::Core
    KPim${KF_MAJOR_VERSION}::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KPim${KF_MAJOR_VERSION}AkonadiSearchCore
    KPim${KF_MAJOR_VERSION}AkonadiSearchXapian
)

install(TARGETS contactsearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/akonadi)

=== search/email/CMakeLists.txt ===
add_library(emailsearchstore MODULE )
target_sources(emailsearchstore PRIVATE agepostingsource.cpp emailsearchstore.cpp ../pimsearchstore.cpp agepostingsource.h emailsearchstore.h ../pimsearchstore.h)
target_link_libraries(emailsearchstore
    Qt::Core
    KPim${KF_MAJOR_VERSION}::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KPim${KF_MAJOR_VERSION}AkonadiSearchCore
    KPim${KF_MAJOR_VERSION}AkonadiSearchXapian
)

install(TARGETS emailsearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/akonadi)

=== xapian/autotests/CMakeLists.txt ===
ecm_add_test(termgeneratortest.cpp termgeneratortest.h
    TEST_NAME "termgeneratortest"
    LINK_LIBRARIES Qt::Test KPim${KF_MAJOR_VERSION}::AkonadiSearchXapian
)

ecm_add_test(queryparsertest.cpp queryparsertest.h
    TEST_NAME "queryparsertest"
    LINK_LIBRARIES Qt::Test KPim${KF_MAJOR_VERSION}::AkonadiSearchXapian
)

=== debian/changelog ===
akonadi-search (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:17:41 +0000

akonadi-search (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:49:59 +0000

akonadi-search (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:24:53 -0700

akonadi-search (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:05 +0000

akonadi-search (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:09 +0000

akonadi-search (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
-               libkf5akonadiserver-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadimime-dev (>= 4:23.08.5~),
+               libkf5akonadiserver-dev (>= 4:23.08.5~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.5~),
                libkf5runner-dev (>= 5.31.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
@@ -50,13 +50,13 @@
 Package: libkf5akonadisearch-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadimime-dev (>= 4:23.08.1~),
-         libkf5akonadiserver-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
+         libkf5akonadimime-dev (>= 4:23.08.5~),
+         libkf5akonadiserver-dev (>= 4:23.08.5~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkf5contacts-dev (>= 4:19.08.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 23.08.1~),
+         libkf5mime-dev (>= 23.08.5~),
          libkpim5akonadisearchcore5 (= ${binary:Version}),
          libkpim5akonadisearchdebug5 (= ${binary:Version}),
          libkpim5akonadisearchpim5 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,13 @@
 	for pkg in $(pkgs_lib); do \
 		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
 		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
-		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
+		dh_makeshlibs -p$${pkg} -V "libkf5akonadisearch-bin, libkf5akonadisearch-plugins, $${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
 	done
+
+override_dh_shlibdeps:
+	dh_shlibdeps $(foreach p,$(lib_packages),-p$(p)) -- -xlibkf5akonadisearch-bin -xlibkf5akonadisearch-plugins
+	dh_shlibdeps --remaining-packages
+
 override_dh_auto_test:
 	- xvfb-run -- dh_auto_test --no-parallel
